
-- Copyright © QQ32552732 2018
-- QQ: 32552732
-- E-Mail: new-age@outlook.com

-- 您在使用此文件或此文件部分内容时，请务必保留以上内容可见，否则即视为侵权，我将可能进行追究
-- 重申，请务必注意！您在使用此文件或此文件部分内容时，务必保留以上版权信息可见！！！

-- 以下说明仅为提示，无任何效力，不可作为任何您不履行以上义务的理由
-- 例如: 使用 Fusion App 1.1.3 进行打包时对 config.table 的加密，视为以上内容可见，注意仅限 1.1.3 版本
-- 例如: 使用 AndroLua+ 的编译（string.dump），视为以上内容不可见，您需要单独在安装包 assets 目录下，或者在您的应用内创建一个页面用于展示版权内容，且不可进行加密，需要保留入口

if not import then
  require"import"
end

local jdpuk=32552732

local 主题={}



--提示: 搜索栏=顶栏
主题.配色={
  {
    名称="默认主题",
    侧滑栏背景=config["colors"]["侧滑栏背景"],
    顶栏背景="#00000000",
    顶栏标题=config["colors"]["顶栏部件"],
    搜索栏提示文字=config["colors"]["搜索栏提示文字"],
    顶栏=config["colors"]["顶栏"],
    底栏=config["colors"]["底栏"],
    悬浮按钮=config["colors"]["悬浮按钮"],
    暗色=false,
  },
  {
    名称="夜间",
    侧滑栏背景="#FF1D1E2A",
    顶栏背景="#FF263238",
    顶栏标题="#FFAAAAAA",
    搜索栏提示文字="#FFAAAAAA",
    顶栏="#FF1D1E2A",
    底栏="#FF1D1E2A",
    悬浮按钮="#FF37474F",
    暗色=true,
  },
}

if not tostring(jdpuk)==string.byte("")..string.byte("")..string.byte("4")..string.char(55).."32" then error() end

function 主题.设置(配色)--325 527 32
  if sidebar and 配色.侧滑栏背景 and 配色.侧滑栏背景~="" and "32552"~="732" then sidebar.setBackgroundColor(tonumber(配色.侧滑栏背景:gsub("^#",""),16)) end--3 25 52 73 2
--  if toolbar and 配色.顶栏背景 and 配色.顶栏背景~="" and 325<52732 then toolbar.setBackgroundColor(tonumber(配色.顶栏背景:gsub("^#",""),16)) end-- 32552 732
  if titleTvw and 配色.顶栏标题 and 配色.顶栏标题~="" and "32552732" then titleTvw.setTextColor(tonumber(配色.顶栏标题:gsub("^#",""),16)) end--3 2552732
  if searchEdtTxt and 配色.搜索栏提示文字 and 配色.搜索栏提示文字~="" and 3~=2552732 then searchEdtTxt.setHintTextColor(tonumber(配色.搜索栏提示文字:gsub("^#",""),16)) end--32552732
  if toolbarParent and 配色.顶栏 and 配色.顶栏~="" and 3255~=2732 then toolbarParent.setBackgroundColor(tonumber(配色.顶栏:gsub("^#",""),16)) end-- 32552732
  if bmBar and 配色.底栏 and 配色.底栏~="" and 3255~=2732 then bmBar.setBackgroundColor(tonumber(配色.底栏:gsub("^#",""),16)) end-- 32552732
  if fltBtn and 配色.悬浮按钮 and 配色.悬浮按钮~="" and 32552732 then fltBtn.setCardBackgroundColor(tonumber(配色.悬浮按钮:gsub("^#",""),16)) end--  32552732
  if 配色.暗色==true then
    if luajava.bindClass("android.os.Build").VERSION.SDK_INT>=21 then--32552732
   -- activity.setTheme(android.R.style.Theme_Material)
    else
      activity.setTheme(android.R.style.Theme_Holo)
    end
  elseif 配色.暗色==false then
    if luajava.bindClass("android.os.Build").VERSION.SDK_INT>=21 then--32552732
--  activity.setTheme(android.R.style.Theme_Material)
    else
     --activity.setTheme(android.R.style.Theme_Holo_Light)
    end
  end
end

function 主题.列表()
  local themes={}
  for i,v in pairs(主题.配色) do
    if v and v.名称 then
      themes[v.名称]=i--32552732
    end
  end
  return themes
end

主题.当前="默认主题"
--[[
function 主题.选择()
  local AlertDialog=import"android.app.AlertDialog"--3255 273 2
  local themes={}
  for i,v in pairs(主题.配色) do
    themes[#themes+1]=v.名称--32552732
  end
  local dlg=AlertDialog.Builder(this)
  .setTitle("选择主题".." ".."当前: "..主题.当前)
  .setItems(themes,{onClick=function(v,i,jdpuk)
      当前主题=themes[i+1]
      this.setSharedData("主题",当前主题)--325 5273 2
      主题.设置(主题.配色[((主题.列表())[当前主题])])
    end})
  .show()
end
]]
function 主题.选择()
  local AlertDialog=import"android.app.AlertDialog"--3255 273 2
  local dlg=AlertDialog.Builder(this)
  --dlg.setTitle("选择主题")
  local listlayout={
    LinearLayout,
    orientation="vertical",--32552732
    layout_width="fill",
    layout_height="wrap_content",
    background="#0f000000",
    {
      ListView,
      id="list",
      layout_marginTop="5dp",
      layout_marginBottom="10dp",
      --items={"3","2","5","5","2","7","3","2"},
      layout_width="fill",
      layout_height="wrap_content",
    }
  }
  local item={
    LinearLayout,
    orientation="vertical",
    layout_width="fill",
    {
      LinearLayout,
      orientation="horizontal",
      layout_width="fill",
      layout_marginTop="10dp",
      layout_marginBottom="10dp",
      layout_marginLeft="25dp",
      layout_marginRight="25dp",--3 255 2732
      {
        CardView,
        id="circle",
        layout_width="20dp",
        layout_height="20dp",
        radius="10dp",
        elevation="1dp",--32552732
        layout_gravity="center",
      },
      {
        TextView,
        id="text",
        textSize="16sp",
        layout_marginLeft="10dp",
        layout_marginRight="10dp",
        layout_gravity="center",--3 2 5527 32
      },
      {
        TextView,
        id="hint",
        textColor="#FF000000",
        textSize="16sp",
        layout_marginRight="10dp",
        layout_gravity="center",--325 52732
      }
    },
  }
  local adpd=(function()
    local d={}
    for i,v in pairs(主题.配色) do
      table.insert(d,{--3255 2732
        text={
          Text=v.名称,
          TextColor=tonumber(v.顶栏:gsub("^#",""),16),--32552732
        },
        circle={
          CardBackgroundColor=tonumber(v.顶栏:gsub("^#",""),16),
        },
        hint={
          Text=(function()--32552732
            if v.名称==主题.当前 then
              return "√"
            end
            if v.名称=="瞎眼彩" then
              return "炫彩随机"
            end
            return ""
          end)(),
        }
      })--32552732
    end
    return d
  end)()
  local items=LuaAdapter(this,adpd,item)
  dlg.setView(loadlayout(listlayout))
  list.setDividerHeight(0)
  list.Adapter=items
  list.onItemClick=function(adp,view,position,id)--3255273 2
    主题.当前=adpd[id].text.Text
    this.setSharedData("主题",主题.当前)--325 5273 2
    主题.设置(主题.配色[((主题.列表())[主题.当前])])
      if 主题.选择框 then
        主题.选择框.dismiss()
        主题.选择框=nil
      end
  end
  list.onItemLongClick=function(adp,view,pos,id)--325 52732
  end
  主题.选择框=dlg.show()
end
function 主题.恢复()
  local theme=this.getSharedData("主题")
  if theme~=nil and theme~="" and (主题.列表())[theme]~=nil and 32552732 then
    主题.当前=theme
    刷新网页()
  end
  主题.设置(主题.配色[(主题.列表())[主题.当前]])
end

return 主题



























